/* set mode of rig */
#include "ft100.h"



int ft100_set_mode(int fdSer, char *mode)
    {
       FT100_CMD ft100_cmd;
       char tmode;      
       ft100_cmd.opcode=SET_MODE;
       switch(mode[0])
	 {
	  case 'f': case 'F': tmode=MODE_FM;  break;
	  case 'w': case 'W': tmode=MODE_WFM; break;  
	  case 'a': case 'A': tmode=MODE_AM;  break;
	  case 'd': case 'D': tmode=MODE_DIG; break;
	  case 'u': case 'U': tmode=MODE_USB; break;
	  case 'l': case 'L': tmode=MODE_LSB; break;
	  case 'c': case 'C': tmode=MODE_CW;  break;
          case 'r': case 'R': tmode=MODE_CWR; break;
	  default : return(-1);  
	 }
       
       ft100_cmd.p1=tmode;
       ft100_cmd.p2=tmode;
       ft100_cmd.p3=tmode;
       ft100_cmd.p4=tmode;
       return(put_ft100_cmd(fdSer, &ft100_cmd));
    }
       

 
