/* set repeater shift rig */
#include "ft100.h"



int ft100_set_repeater_shift(int fdSer, char *shift)
    {
       FT100_CMD ft100_cmd;
       char t_shift;      
       ft100_cmd.opcode=SET_SHIFT;
       switch(shift[0])
	 {
	  case 'S': case 's': t_shift=SHIFT_SIMPLEX;  break;
	  case 'M': case 'm': t_shift=SHIFT_MINUS; break;  
	  case 'P': case 'p': t_shift=SHIFT_PLUS;  break;
	  default : return(-1);  
	 }
       
       ft100_cmd.p1=t_shift;
       ft100_cmd.p2=t_shift;
       ft100_cmd.p3=t_shift;
       ft100_cmd.p4=t_shift;
       return(put_ft100_cmd(fdSer, &ft100_cmd));
    }
       

 
