/* read status flags */
#include "ft100.h"
#include <stdlib.h>
#include <stdio.h>


extern int errno;

#include <unistd.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <fcntl.h>
#include <termios.h>
#include <signal.h>

#include <string.h>

int ft100_read_status(char *device, int fdSer, FT100_STATUS *ft100_status)
    {
       FT100_CMD ft100_cmd;
       int i,j,k,unpacked[8];
       char cl;
       char dummy[200];
       char status_flags[9];
       /*
	* 
	* OK I Know it is ugly, but I am not a c programmer
	* 
	*/
       
       FILE *rig_status;      
       rig_status=fopen(device, "r");
       if (rig_status == NULL) printf("Open of rig_status failed \n");
       
       ft100_cmd.opcode=UPDATE_STATUS;
       ft100_cmd.p1=0x01;
       ft100_cmd.p2=0x00;
       ft100_cmd.p3=0x00;
       ft100_cmd.p4=0x00;
       
       j=put_ft100_cmd(fdSer,&ft100_cmd);
       
       i=fread(&dummy,1,sizeof(FT100_STATUS),rig_status);
       ft100_status->band_no = dummy[0];

       ft100_status->freq[0] = dummy[1]; 
       ft100_status->freq[1] = dummy[2];
       ft100_status->freq[2] = dummy[3];
       ft100_status->freq[3] = dummy[4];
       
       ft100_status->mode    = dummy[5];
       ft100_status->ctcss   = dummy[6];
       ft100_status->dcs     = dummy[7];
       ft100_status->flag1   = dummy[8];
       ft100_status->flag2   = dummy[9];
       
       ft100_status->clarifier[0] = dummy[10];
       ft100_status->clarifier[1] = dummy[11];
       
       ft100_status->not_used     = dummy[12];
       
       ft100_status->step1        = dummy[13];
       ft100_status->step2        = dummy[14];
       
       ft100_status->filter       = dummy[15];
           
      // printf("Reading dummy crapola \n");
           ft100_cmd.opcode=READ_STATUS_FLAGS;
                  ft100_cmd.p1=0x01;
                  ft100_cmd.p2=0x02;
                  ft100_cmd.p3=0x00;
                  ft100_cmd.p4=0x00;
                  j=put_ft100_cmd(fdSer,&ft100_cmd);
      // printf("CMD Sent=%i \n",j);
       for (i=0; i<13; i++)
    	 { 
	  // printf("Read byte %i ",i); 
    	   j=fread(&dummy[i],1,1,rig_status);
	  // printf("..... done \n"); 
    	 }
       
       
       
       // this finally works, need to write to a file 
       for(i=0; i<8; i++)
	 {
	   ft100_cmd.opcode=READ_STATUS_FLAGS;
           ft100_cmd.p1=0x00;
           ft100_cmd.p2=0x00;
           ft100_cmd.p3=0x00;
           ft100_cmd.p4=0x00;
           j=put_ft100_cmd(fdSer,&ft100_cmd);
           
		 
	   k=fread(&cl,1,1,rig_status);
	   status_flags[i]=(int)cl;
	   unpkflags(cl,unpacked); 
	   ft100_status->status_flags[i]=cl;
	   printf("Loop %3i Put %3i Read %3i Val %3i = ",i,j,k,(int)cl);
	   for(j=8; j>0; j--)
	     printf("%3i ",unpacked[j-1]);
	    printf("\n"); 
	 }
       
       
        // more crapola
        for (i=0; i<31; i++)
    	 { 
	   // printf("Read byte %i ",i); 
    	   j=fread(&dummy[i],1,1,rig_status);
	   // printf("..... done \n"); 
    	 }
      
       fclose(rig_status);
    }    

/* show status settings */

       
void ft100_show_status(FT100_STATUS ft100_status)
{
   unsigned char mode_hi, mode_lo;
   unsigned char step_hi, step_lo;
   char *tone;
   
   int f7, f6, f5, f4, f3, f2, f1, f0;
   int i,j,status_flags[8];
   
   FILE *tmp_ft100;
   // first delete the old one
   i=remove("ft100.status");
		   
   tmp_ft100=fopen(".ft100_status","w");
   if (tmp_ft100 == NULL) printf("Open of tmp file failed");
   
   
   fprintf(tmp_ft100, "%i\n", (int)ft100_status.band_no);   
   fprintf(tmp_ft100, "%i\n", cnvrt_freq(ft100_status.freq));
   
   mode_hi=(ft100_status.mode >> 4) & 0x0f;
   mode_lo=ft100_status.mode & 0x0f;
  
   fprintf(tmp_ft100,"%i\n", mode_hi);
   fprintf(tmp_ft100,"%i\n", mode_lo);
   
   tone = cnvrt_tone((int)ft100_status.ctcss);   
   fprintf(tmp_ft100,"%i %s\n", (int)ft100_status.ctcss,tone);
   
   tone = cnvrt_dcs((int)ft100_status.dcs);
   fprintf(tmp_ft100,"%i %s\n", (int)ft100_status.dcs,tone);
   
   f0=(ft100_status.flag1 >> 7) & 0x01;
   f1=(ft100_status.flag1 >> 6) & 0x01;
   f2=(ft100_status.flag1 >> 5) & 0x01;
   f3=(ft100_status.flag1 >> 4) & 0x01;
   f4=(ft100_status.flag1 >> 3) & 0x01;
   f5=(ft100_status.flag1 >> 2) & 0x01;
   f6=(ft100_status.flag1 >> 1) & 0x01;
   f7=ft100_status.flag1 & 0x01;
   
   fprintf(tmp_ft100, "%i %i %i %i %i %i %i %i %i\n",(int)ft100_status.flag1,f7,f6,f5,f4,f3,f2,f1,f0);

   f0=(ft100_status.flag2 >> 7) & 0x01;
   f1=(ft100_status.flag2 >> 6) & 0x01;
   f2=(ft100_status.flag2 >> 5) & 0x01;
   f3=(ft100_status.flag2 >> 4) & 0x01;
   f4=(ft100_status.flag2 >> 3) & 0x01;
   f5=(ft100_status.flag2 >> 2) & 0x01;
   f6=(ft100_status.flag2 >> 1) & 0x01;
   f7=ft100_status.flag2 & 0x01;
   fprintf(tmp_ft100, "%i %i %i %i %i %i %i %i %i\n",(int)ft100_status.flag2,f0,f1,f2,f3,f4,f5,f6,f7);

   fprintf(tmp_ft100,"%i\n", (int)ft100_status.clarifier[0]);
   fprintf(tmp_ft100,"%i\n",(int)ft100_status.clarifier[1]);
	   
	   
   step_hi=(ft100_status.step1 >> 4) & 0x0f;
   step_lo=ft100_status.step1 & 0x0f;
   fprintf(tmp_ft100,"%i\n", step_hi);
   fprintf(tmp_ft100,"%i\n", step_lo);
	   
   step_hi=(ft100_status.step2 >> 4) & 0x0f;
   step_lo=ft100_status.step2 & 0x0f;
   fprintf(tmp_ft100,"%i\n", step_hi);
   fprintf(tmp_ft100,"%i\n", step_lo);
   
   fprintf(tmp_ft100,"%i\n", (int)ft100_status.filter);
   for (i=0; i<8; i++) 
     {
       // fprintf(tmp_ft100,"%3i ",i);	
       unpkflags(ft100_status.status_flags[i],status_flags);
       for (j=8; j>0; j--)
	  fprintf(tmp_ft100,"%i ",status_flags[j-1]);
       fprintf(tmp_ft100,"\n");
     }
   
   
   fclose(tmp_ft100);
}



/* read meter settings */


int ft100_read_meter(char *device, int fdSer, FT100_METER *ft100_meter)
    {
       FT100_CMD ft100_cmd;
       int i,j;
       char dummy[200];
       
       /*
	* 
	* OK I Know it is ugly, but I am not a c programmer
	* 
	*/
       
       FILE *rig_status;      
       rig_status=fopen(device, "r");
       if (rig_status == NULL) printf("Open of rig_status failed \n");
       
       ft100_cmd.opcode=READ_METER;
       ft100_cmd.p1=0x01;
       ft100_cmd.p2=0x00;
       ft100_cmd.p3=0x00;
       ft100_cmd.p4=0x00;
       
       j=put_ft100_cmd(fdSer,&ft100_cmd);
              
       i=fread(&dummy,1,sizeof(FT100_METER),rig_status);
       for(i=0; i<9; i++)
	 printf("Meter %i = %i \n",i, dummy[i]);
       
       
       ft100_meter->mic_switch_1  = dummy[0];
       ft100_meter->tx_fwd_power  = dummy[1];
       ft100_meter->tx_rev_power  = dummy[2];
       ft100_meter->s_meter       = dummy[3];	 
       ft100_meter->mic_level     = dummy[4];
       ft100_meter->squelch_level = dummy[5];
       ft100_meter->mic_switch_2  = dummy[6];
       ft100_meter->final_temp    = dummy[7]; 
       ft100_meter->alc_level     = dummy[8];
       
       
       fclose(rig_status);
    }    

 
/*
 *
 * show meter
 *
 */
  

void ft100_show_meter(FT100_METER ft100_meter)
{   
   FILE *tmp_ft100;
   int i;
     i=remove(".ft100_meters");
   
     tmp_ft100=fopen(".ft100_meters","w"); 
     if (tmp_ft100 == NULL) printf("Open of tmp file failed");
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.mic_switch_1);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.tx_fwd_power);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.tx_rev_power);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.s_meter);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.mic_level);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.squelch_level);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.mic_switch_2);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.final_temp);
     fprintf(tmp_ft100,"%i\n", (int)ft100_meter.alc_level);
     fclose(tmp_ft100);
   
   
}

   

void unpkflags(unsigned char c, int *flags) 
{
   int i;
   for (i=8; i > 0; i--) 
     {
	flags[i-1] = ( c >> (i-1) ) & 0x01;
    //  printf("%3i ",flags[i-1]);
     }
    // printf("   = %3i\n",(int)c);	
   	
   return;
}

  
